import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppComponent } from './app.component';
import { GridAllModule } from '@syncfusion/ej2-ng-grids';
import { HttpClientModule, HTTP_INTERCEPTORS } from '@angular/common/http';
import { FirstComponent } from './first.component';
import { SecondComponent } from './second.component';
import { RouterModule, Routes } from '@angular/router';

// const appRoutes: Routes = [
//   { path: 'first', component: FirstComponent },
//   { path: 'second', component: SecondComponent }
// ];

@NgModule({
  imports: [
    BrowserModule,
    GridAllModule

    // RouterModule.forRoot(
    //   appRoutes,
    //   { useHash: true } // <-- debugging purposes only
    // )
  ],
  declarations: [AppComponent, FirstComponent, SecondComponent],
  bootstrap: [AppComponent]
})
export class AppModule { }
